# Uses of Enum Class
org.apache.cxf.Bus.BusState

Packages that use Bus.BusState
Package
Description
org.apache.cxf
org.apache.cxf.bus.extension

- ## Uses of Bus.BusState in org.apache.cxf

  Methods in org.apache.cxf that return Bus.BusState
  Modifier and Type
  Method
  Description
  `Bus.BusState`
  Bus.`getState()`
  `static Bus.BusState`
  Bus.BusState.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Bus.BusState[]`
  Bus.BusState.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

- ## Uses of Bus.BusState in org.apache.cxf.bus.extension

  Methods in org.apache.cxf.bus.extension that return Bus.BusState
  Modifier and Type
  Method
  Description
  `Bus.BusState`
  ExtensionManagerBus.`getState()`
  Methods in org.apache.cxf.bus.extension with parameters of type Bus.BusState
  Modifier and Type
  Method
  Description
  `protected final void`
  ExtensionManagerBus.`setState(Bus.BusState state)`